Subject: bug#25967: 25.1; Support for ImageMagick 7

From: Glenn Morris <[email-masked]>
Date: Sat, 02 Sep 2017 21:10:49 -0400

Eli Zaretskii wrote:

> I agree that would be nicer, but I don't think this minor issue, nor
> the more general one of supporting ImageMagick 7, should block the
> release of Emacs 26.1.

My motivation was that at some point ImageMagick 7 will become the
default version in GNU/Linux distributions. For example, possibly as
soon as Fedora 28, next May, ref

https://pagure.io/fesco/issue/1766

In terms of Emacs releases, this kind of change isn't far away, and
quite possibly before Emacs 27. At some point Emacs will need to support it.

Reference porting info: https://www.imagemagick.org/script/porting.php